Page MenuHomePhabricator

packaging: extract pre-computed version when running from plain tarball
ClosedPublic

Authored by joerg.sonnenberger on Apr 20 2021, 2:36 PM.

Details

Summary

The tarballs created by setup.py are not including the usual archive
markers that hg archive leaves, so the rewrite of the version number
computation actually left the empty version string around. This meant
that installations from PyPI would use 0.0.0 as version string.

Diff Detail

Repository
rHG Mercurial
Branch
stable
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

joerg.sonnenberger edited the summary of this revision. (Show Details)Apr 20 2021, 5:18 PM
marmoute accepted this revision.Apr 20 2021, 5:23 PM
marmoute added a subscriber: marmoute.
marmoute added inline comments.
setup.py
440–442

This looks fine, but maybe a bit fragile. We could simply run the python code and read the variable, could we not ?

setup.py
440–442

I remember that having its own error case. Note that we wrote the exact content a few lines later here.

marmoute added a comment.EditedApr 21 2021, 5:25 AM

<deleted-comment>

Alphare accepted this revision.Apr 21 2021, 8:17 AM
This revision is now accepted and ready to land.Apr 21 2021, 8:17 AM
pulkit accepted this revision.Apr 28 2021, 6:37 AM